namespace EgtBEAMWALL.DataLayer.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class StatusMap : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.StatusMap",
                c => new
                    {
                        DbId = c.Int(nullable: false, identity: true),
                        DtEvent = c.DateTime(nullable: false, precision: 0),
                        Index = c.Int(nullable: false),
                        Id = c.Int(nullable: false),
                        ItemType = c.Int(nullable: false),
                        Operation = c.Int(nullable: false),
                        Session = c.String(unicode: false),
                        Val = c.String(unicode: false),
                    })
                .PrimaryKey(t => t.DbId);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.StatusMap");
        }
    }
}
